Bug 1903756 - Fedora flatpak lacks correct d-bus permissions
Summary: Fedora flatpak lacks correct d-bus permissions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-music
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-02 18:19 UTC by Casey
Modified: 2021-01-01 01:37 UTC (History)
3 users (show)

Fixed In Version: gnome-music-master-3320201217190641.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-01 01:37:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Casey 2020-12-02 18:19:29 UTC
Description of problem:

The Fedora flatpak version of Gnome Music fails to populate the list of local music files, instead displaying the error

"GNOME Music could not connect to Tracker."

Running this from the terminal reveals the error 

"Could not connect to host Tracker miner-fs at org.freedesktop.Tracker3.Miner.Files".


This occurs because the application manifest has not yet been updated to Tracker 3:

[Session Bus Policy]
org.gtk.vfs.*=talk
org.freedesktop.Tracker1=talk
org.mpris.MediaPlayer2.GnomeMusic=own
org.gnome.OnlineAccounts=talk
org.gnome.SettingsDaemon.MediaKeys=talk
org.gtk.vfs=talk
...

A simple fix would be to add "org.freedeskop.Tracker3.Miner.Files" to the application's d-bus permissions.

Comment 1 Kalev Lember 2020-12-18 17:13:24 UTC
We've actually had that fixed in git for a while already (https://src.fedoraproject.org/flatpaks/gnome-music/c/afb7afadbdd49741f340a68f6cb6c1e0fc4f69d4?branch=master), but without a build in bodhi, so it never made it out to the repos.

I'll look into getting this out as soon as possible. There's a bug in the infra right now that's breaking gnome-music flatpak compose. I'll update this ticket once the infra side is resolved.

Comment 2 Fedora Update System 2020-12-28 17:00:09 UTC
FEDORA-FLATPAK-2020-ba577d802c has been submitted as an update to Fedora 33 Flatpaks. https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2020-ba577d802c

Comment 3 Fedora Update System 2020-12-29 01:33:13 UTC
FEDORA-FLATPAK-2020-ba577d802c has been pushed to the Fedora 33 Flatpaks testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2020-ba577d802c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-12-30 18:50:35 UTC
FEDORA-FLATPAK-2020-ba577d802c has been submitted as an update to Fedora 33 Flatpaks. https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2020-ba577d802c

Comment 5 Fedora Update System 2020-12-31 01:22:15 UTC
FEDORA-FLATPAK-2020-ba577d802c has been pushed to the Fedora 33 Flatpaks testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2020-ba577d802c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-01-01 01:37:09 UTC
FEDORA-FLATPAK-2020-ba577d802c has been pushed to the Fedora 33 Flatpaks stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.